Bug 7285 - (int-152030) VKB has strange behavior when using the browser in portrait mode
(int-152030)
: VKB has strange behavior when using the browser in portrait mode
Status: RESOLVED FIXED
Product: Desktop platform
Virtual keyboard (fullscreen)
: 5.0/(2.2009.51-1)
: All Maemo
: Low normal with 1 vote (vote)
: 5.0/(10.2010.19-1)
Assigned To: Joaquim Rocha
: fkb-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-24 00:33 UTC by Valério Valério
Modified: 2010-03-15 20:54 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Valério Valério (reporter) maemo.org 2009-12-24 00:33:25 UTC
SOFTWARE VERSION:
2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. Enable the portrait mode in the browser
2. Go to a page with a text field (e.g.google.com) 
3. Select the text field while holding the phone in portrait mode
4. Type something and hold the phone again in portrait mode and send the text

EXPECTED OUTCOME:

The text should appear in the text field.

ACTUAL OUTCOME:

Sometimes the text doesn't show up, other times if you delete a character or
shake the phone a bit the rest of the text disappears.
If you turn the phone to portrait mode while in the Virtual keyboard you'll
notice some flick in the text field or the text will be erased.

REPRODUCIBILITY:
5/10

OTHER COMMENTS:

Only happens in the browser and only if the portrait mode is enabled.

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.16)
Gecko/2009121601 Ubuntu/9.04 (jaunty) Firefox/3.0.16
Comment 1 Andrew Flegg maemo.org 2009-12-30 14:29:15 UTC
For reference, with portrait mode availability being toggled with Ctrl-Shift-O,
I GUESS it won't be a fully supported feature in this release (unless it
default to on rather than off).
Comment 2 Urho Konttori 2010-01-05 22:06:16 UTC
Fix would be to allow VKB entry in portrait mode.
Comment 3 Andre Klapper maemo.org 2010-01-28 14:57:47 UTC
This is not reproducible anymore in the internal version 2010.04-4, hence it
porbably has been fixed in the meantime. A future update will include the fix.
Comment 4 Andre Klapper maemo.org 2010-03-15 20:54:17 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).